From eed111d726668a121747792188b72df8f138ad69 Mon Sep 17 00:00:00 2001
From: Arioch <AriochThe@gmail.com>
Date: Sat, 8 Jan 2022 05:46:21 +0300
Subject: [PATCH] fixing wrong $INCLUDE paths

---
 view3dscene.lpi | 4 ++--
 view3dscene.lpr | 6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/view3dscene.lpi b/view3dscene.lpi
index d373c55..6be3268 100644
--- a/view3dscene.lpi
+++ b/view3dscene.lpi
@@ -1,16 +1,16 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <CONFIG>
   <ProjectOptions>
-    <Version Value="11"/>
+    <Version Value="12"/>
     <General>
       <Flags>
         <MainUnitHasUsesSectionForAllUnits Value="False"/>
         <MainUnitHasCreateFormStatements Value="False"/>
         <MainUnitHasTitleStatement Value="False"/>
         <LRSInOutputDirectory Value="False"/>
+        <CompatibilityMode Value="True"/>
       </Flags>
       <SessionStorage Value="InIDEConfig"/>
-      <MainUnit Value="0"/>
       <Icon Value="0"/>
     </General>
     <VersionInfo>
diff --git a/view3dscene.lpr b/view3dscene.lpr
index cda4959..1cc8c3a 100644
--- a/view3dscene.lpr
+++ b/view3dscene.lpr
@@ -1222,14 +1222,14 @@ begin
     This would allow a fast implementation, but it's easier for me to
     design scene in pure VRML/X3D and then auto-generate
     xxx_scene.inc file to load scene from a simple string. }
-  LoadSimpleScene(LoadX3DClassicFromString({$I ../embedded_data/scenes/clear_scene.inc}, ''), []);
+  LoadSimpleScene(LoadX3DClassicFromString({$I ./embedded_data/scenes/clear_scene.inc}, ''), []);
 end;
 
 { like LoadClearScene, but this loads a little more complicated scene.
   It's a "welcome scene" of view3dscene. }
 procedure LoadWelcomeScene;
 begin
-  LoadSimpleScene(LoadX3DClassicFromString({$I ../embedded_data/scenes/welcome_scene.inc}, ''), []);
+  LoadSimpleScene(LoadX3DClassicFromString({$I ./embedded_data/scenes/welcome_scene.inc}, ''), []);
 end;
 
 const
@@ -3555,7 +3555,7 @@ begin
   Window.Controls.InsertFront(StatusText);
 
   UiOwner := TComponent.Create(Application);
-  Ui := StringToComponent({$I ../embedded_data/designs/main.castle-user-interface.inc}, UiOwner)
+  Ui := StringToComponent({$I ./embedded_data/designs/main.castle-user-interface.inc}, UiOwner)
     as TCastleUserInterface;
   Window.Controls.InsertFront(Ui);
 
-- 
2.30.0.windows.2

